hwlocality_myriexpress(3)

NAME
hwlocality_myriexpress - Interoperability with Myrinet Express

  Functions
static int hwloc_mx_board_get_device_cpuset (hwloc_topology_t topology, unsigned id, hwloc_cpuset_t set)
static int hwloc_mx_endpoint_get_device_cpuset (hwloc_topology_t topology, mx_endpoint_t endpoint, hwloc_cpuset_t set)

Detailed Description

This interface offers ways to retrieve topology information about Myrinet Express hardware.

Function Documentation

  static int hwloc_mx_board_get_device_cpuset (hwloc_topology_t topology, unsigned id, hwloc_cpuset_t set) [inline], [static]

Get the CPU set of logical processors that are physically close the MX board id. Return the CPU set describing the locality of the Myrinet Express board whose index is id.

Topology topology and device id must match the local machine. I/O devices detection is not needed in the topology.

The function only returns the locality of the device. No additional information about the device is available.

  static int hwloc_mx_endpoint_get_device_cpuset (hwloc_topology_t topology, mx_endpoint_t endpoint, hwloc_cpuset_t set) [inline], [static]

Get the CPU set of logical processors that are physically close the MX endpoint endpoint. Return the CPU set describing the locality of the Myrinet Express board that runs the MX endpoint endpoint.

Topology topology and device id must match the local machine. I/O devices detection is not needed in the topology.

The function only returns the locality of the endpoint. No additional information about the endpoint or device is available.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.